interface ServiceAccount {
    type: string;
    project_id: string;
    private_key_id: string;
    private_key: string;
    client_email: string;
    client_id: string;
    auth_uri: string;
    token_uri: string;
    auth_provider_x509_cert_url: string;
    client_x509_cert_url: string;
}
/**
 * Get service account from either environment variables or local file.
 * SERVICE_ACCOUNT environment variables takes precedence
 * NOTE: Loading from default local file path "process.cwd()}/serviceAccount.json"
 * is now deprecated
 * @param envSlug - Environment option
 * @returns Service account object
 */
export declare function getServiceAccount(envSlug?: string): ServiceAccount | null;
export {};
